Package chatapp.View

# Class Clavardage

java.lang.Object
chatapp.View.Clavardage

All Implemented Interfaces:
  `java.beans.PropertyChangeListener`, `java.util.EventListener`, `javafx.fxml.Initializable`

    public class Clavardage
    extends java.lang.Object
    implements javafx.fxml.Initializable, java.beans.PropertyChangeListener

Classe representant l'interface graphique permettant de clavarder avec un utilisateur.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`javafx.scene.control.Button` | `plusButton` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Clavardage()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `ajouterMessagesHistorique​(javafx.event.ActionEvent actionEvent)` | Permet de recupérer plus de messages stoces dans la database en appuyant sur le bouton plusButton
`SessionClavardage` | `getSession()` | Getter : Session
`void` | `initialize​(java.net.URL location, java.util.ResourceBundle resources)` | Permet d'initialiser les differents parametres de la classe
`void` | `propertyChange​(java.beans.PropertyChangeEvent evt)` | Handler des differents evenements auxquels s'est abonne le PropertyChangeListener La classe est informee lorsque la session recoit un message ou lorsque la session se termine
`void` | `setSession​(SessionClavardage session)` | Setter : Session

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plusButton

public javafx.scene.control.Button plusButton

## Constructor Details

### Clavardage

public Clavardage()

## Method Details

### setSession

public void setSession​(SessionClavardage session)
Setter : Session

Parameters:
  `session` - La session a associer a la classe

### propertyChange

public void propertyChange​(java.beans.PropertyChangeEvent evt)

Handler des differents evenements auxquels s'est abonne le PropertyChangeListener
La classe est informee lorsque la session recoit un message ou lorsque la session se termine

Specified by:
  `propertyChange` in interface `java.beans.PropertyChangeListener`
Parameters:
  `evt` - L'evenement informe par le pcs

### getSession

public SessionClavardage getSession()
Getter : Session

Returns:
  La session de Clavardage

### initialize

public void initialize​(java.net.URL location, java.util.ResourceBundle resources)
Permet d'initialiser les differents parametres de la classe

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` -
  `resources` -

### ajouterMessagesHistorique

public void ajouterMessagesHistorique​(javafx.event.ActionEvent actionEvent)

Permet de recupérer plus de messages stoces dans la database en appuyant sur le bouton plusButton

Parameters:
  `actionEvent` - L'utilisateur a appuye sur le bouton plus pour obtenir tout l'utilisateur